.btn {
    line-height: 46px;
    height: 48px;
    background-color: var(--color-violet);
    background-position: center center;
    -webkit-transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out, border-color 0.3s ease-in-out;
    -o-transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out, border-color 0.3s ease-in-out;
    transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out, border-color 0.3s ease-in-out;
    border: none transparent;
    color: #0e0c0e;
    padding: 0 32px;
    text-decoration: none;
    border: 1px solid var(--color-violet);
    white-space: nowrap;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    border-radius: 8px;
    background: var(--color-violet);
    color: #ffffff;
    position: relative;
    z-index: 12;
    box-shadow: 0 8px 16px -6px rgba(141, 27, 230, 0.12);
    font-size: var(--landing-main-button-size);
    font-weight: var(--landing-main-button-weight);
    letter-spacing: var(--landing-main-button-letter-spacing);
}

.btn:hover {
    background-color: #CA6CF9;
    color: #ffffff;
}

.btn:active {
    background-color: #A91DEE;
    color: #ffffff;
}

.btn:disabled, .btn.is--disabled {
    opacity: .4;
    pointer-events: none;
    border-color: #3333;
}

.btn svg path {
    -webkit-transition: fill 0.3s ease-in-out;
    -o-transition: fill 0.3s ease-in-out;
    transition: fill 0.3s ease-in-out;
}

.btn--small {
    line-height: 38px;
    height: 40px;
    font-size: 16px;
    font-weight: 600;
    padding: 0 16px;
}

.btn--white {
    background-color: #ffffff;
    color: var(--color-text);
    border-color: var(--color-border);
    box-shadow: none;
}

.btn--white:hover, .btn--outline:hover {
    color: #ffffff;
    background-color: var(--color-text);
    border-color: var(--color-text);
}

.btn--white:hover svg path, .btn--outline:hover svg path {
    fill: #ffffff;
}

.btn--white:active, .btn--outline:active {
    background: var(--color-gray)!important;
    color: #ffffff!important;
    border-color: var(--color-border);
}

.btn--outline {
    background: transparent;
    border-color: var(--color-border);
    color: var(--color-text);
    box-shadow: none;
}

.btn--gray {
    background: var(--color-border);
    border-color: var(--color-border);
    color: #000000;
    box-shadow: none;
}

.btn--gray:hover {
    background: #c1c1c1;
    border-color: #c1c1c1;
    color: #000000;
}

.btn--green, .btn--lightgreen {
    background: var(--color-light-green);
    border-color: var(--color-light-green);
    color: #000000;
}

.btn--gold {
    background: linear-gradient(180deg, #F4E2B3 0%, #B99F58 100%);
    border-color: #B99F58;
}

.btn--gold:hover {
}

@media screen and (max-width: 1047px) {
    .btn {
        display: block;
        height: 48px;
        line-height: 46px;
        padding: 0 20px;
    }

    .btn--small {
        line-height: 40px;
        height: 40px;
        font-size: 15px;
        padding: 0 20px;
    }
}

.btn svg {
    transform: translateY(-2px);
}

.header-buttons__auth {
    display: none!important;
}
